Bug 90683 - wrong permissions in /var/mailman/spam
wrong permissions in /var/mailman/spam
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mailman (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-12 10:54 EDT by Mart'in Marqu'es
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-06 05:10:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mart'in Marqu'es 2003-05-12 10:54:34 EDT
Description of problem:

Got a page with "We hit a bug". There is a permission problem in the directory
structure of mailman

Version-Release number of selected component (if applicable):

mailman-2.0.13-1

How reproducible:

Got a main in a closed list, and rejecting it presserving message for administrator.

Steps to Reproduce:
1.
2.
3.
    
Actual results:

Bug in Mailman version 2.0.13

We're sorry, we hit a bug!

Please inform the webmaster for this site of this problem. Printing of traceback
and other system information has been explicitly inhibited, but the webmaster
can find this information in the Mailman error logs. 

Expected results:

OK

Additional info:
Comment 1 Mart'in Marqu'es 2003-05-12 10:58:58 EDT
admin(6245): Traceback (innermost last):
admin(6245):   File "/var/mailman/scripts/driver", line 96, in run_main
admin(6245):     main()
admin(6245):   File "/var/mailman/Mailman/Cgi/admindb.py", line 112, in main
admin(6245):     HandleRequests(mlist, doc, cgidata)
admin(6245):   File "/var/mailman/Mailman/Cgi/admindb.py", line 297, in
HandleRequests
admin(6245):     preserve, forward, forwardaddr)
admin(6245):   File "/var/mailman/Mailman/ListAdmin.py", line 130, in HandleRequest
admin(6245):     forward, addr)
admin(6245):   File "/var/mailman/Mailman/ListAdmin.py", line 191, in __handlepost
admin(6245):     shutil.copy(path, os.path.join(mm_cfg.SPAM_DIR, spamfile))
admin(6245):   File "/usr/lib/python1.5/site-packages/shutil.py", line 52, in copy
admin(6245):     copyfile(src, dst)
admin(6245):   File "/usr/lib/python1.5/site-packages/shutil.py", line 18, in
copyfile
admin(6245):     fdst = open(dst, 'wb')
admin(6245): IOError: [Errno 13] Permission denied:
'/var/mailman/spam/spam-docente-math-76.txt'
admin(6245): [----- Python Information -----]


[root@math root]# ls -ld /var/mailman/spam/
drwxr-sr-x    2 root     mailman      4096 ago  2  2002 /var/mailman/spam/

after doing this:

[root@math root]# chmod g+w /var/mailman/spam/
[root@math root]# ls -ld /var/mailman/spam/
drwxrwsr-x    2 root     mailman      4096 ago  2  2002 /var/mailman/spam/

the problem went away
Comment 2 Florian La Roche 2004-06-06 05:10:53 EDT
Looks fixed in current rpm, so I close this report.

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.